package me.loganb1max.minions.model.minions;

import me.loganb1max.minions.MinionsPlugin;
import me.loganb1max.minions.model.Minion;
import org.bukkit.Location;
import org.bukkit.block.Block;
import java.util.Set;
import java.util.UUID;

public class MinerMinion extends Minion {

	public MinerMinion(final UUID owner, final String ownerName) {
		super(
				MinionsPlugin.getInstance().getConfig().getConfigurationSection("Miner"),
				owner,
				ownerName
		);
		getReplacer().add("%blocklimit%", String.valueOf(getBlockLimit(getLevel())));
	}

	public MinerMinion(final UUID owner, final String ownerName, final Location location, final double energy, final int level, final Set<Block> linkedBlocks) {
		this(owner, ownerName);
		setLocation(location);
		setEnergy(energy);
		setLevel(level);
		setLinkedBlocks(linkedBlocks);
		findStand();
	}

	public int getBlockLimit(final int level) {
		return getSection().getInt("Levels." + level + ".BlockLimit", 1);
	}

	@Override
	public void tick() {

	}

}
